import javax.microedition.rms.RecordStore;
import javax.microedition.rms.RecordListener;

/**
 * Обработчик событий RMS
 * @author Kalter
 */

public class RMSListener implements RecordListener{

    /**
     * Вызывается после добавления записи в хранилище
     * @param rms Хранилище
     * @param id Номер добавленной записи
     */
    public void recordAdded(RecordStore rms,int id){
        
        try{
            
            M.rms_added(id);
        }catch(Exception e){
            
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }

    /**
     * Вызывается при изменении записи
     * @param rms Хранилище
     * @param id Номер изменяемой записи
     */
    public void recordChanged(RecordStore rms,int id){
        
        try{
            
            M.rms_changet(id);
        }catch(Exception e){
            
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }

    /**
     * Вызывается после удаления записи
     * @param rms Хранилище
     * @param id Номер удаляемой записи
     */
    public void recordDeleted(RecordStore rms,int id){
        
        try{
            
            M.rms_deleted(id);
        }catch(Exception e){
            
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }
}